{% extends 'base.html.twig' %}

{% block title %}My Skills{% endblock %}

{% block body %}
    <div class="container text-center">
        <div class="row">
        {% for skill in skills %}
            <div class="row">
                <div class="col-sm-4">
                    <div class="card">
                        <img class="card-img-top" src="{% if skill.logo is null %}#{% else %}{{ skill.logo }}{% endif %}" alt="Card image top">
                        <div class="card-body">
                            <h3 class="card-title">{{ skill.title }}</h3>
                            <div class="progress">
                                <div class="progress-bar progress-bar-striped progress-bar-animated bg-success" role="progressbar" style="width: {{ skill.level }}%" aria-valuenow="{{ skill.level }}" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                            <p class="card-text">{{ skill.shortDescription }}</p>
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}
        </div>
    </div>
{% endblock %}
